httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "MATHIHALLI,MADHUSUDAN (HP-Cupertino,ex1)" <madhusudan_mathiha...@hp.com>
Subject RE: [PATCH]Question - regarding modssl_PEM_read_bio_X509
Date Fri, 25 Oct 2002 22:17:13 GMT
Oh !!.. That is correct. The SSL_LIBRARY_VERSION is only defined by the
ssl_util_ssl.h.
(sorry)

-Madhu

> -----Original Message-----
> From: Jeff Trawick [mailto:trawick@attglobal.net]
> Sent: Friday, October 25, 2002 3:10 PM
> To: dev@httpd.apache.org
> Subject: Re: [PATCH]Question - regarding modssl_PEM_read_bio_X509
> 
> 
> "MATHIHALLI,MADHUSUDAN (HP-Cupertino,ex1)" 
> <madhusudan_mathihalli@hp.com> writes:
> 
> > -#define modssl_PEM_read_bio_X509 PEM_read_bio_X509
> > +#if (SSL_LIBRARY_VERSION < 0x00904000)
> > +#define modssl_PEM_read_bio_X509(b, x, cb, arg) 
> PEM_read_bio_X509(b, x, cb)
> > +#else
> > +#define modssl_PEM_read_bio_X509(b, x, cb, arg) 
> PEM_read_bio_X509(b, x, cb,
> > arg)
> > +#endif
> 
> I had to change the patch to look at OPENSSL_VERSION_NUMBER instead of
> SSL_LIBRARY_VERSION...
> 
> this section of ssl_toolkit_compat.h has the former defined but not
> the latter...  mod_ssl wouldn't compile for me without this change...
> 
> > 
> > The following patch does something similar, and also 
> changes one other place
> > in ssl_util_ssl.c where PEM_read_bio_X509 was still being used.
> 
> fyi... your patch wouldn't apply because of some wrapped lines...
> e-mail client setting on line wrap incorrect?  
> 
> patch committed!
> 
> 
> -- 
> Jeff Trawick | trawick@attglobal.net
> Born in Roswell... married an alien...
> 

Mime
View raw message